Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum NumericOperators

    java.lang.Object
      java.lang.Enum<NumericOperators>
          nl.liacs.subdisc.NumericOperators

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NumericOperators>, EnumInterface

    public enum NumericOperators

extends java.lang.Enum<NumericOperators>
implements EnumInterface

Enum Constant Summary
`NUMERIC_ALL`
`NUMERIC_EQ`
`NUMERIC_GEQ`
`NUMERIC_LEQ`
`NUMERIC_NORMAL`

Field Summary
`java.lang.String` | `GUI_TEXT` For each NumericOperators, this is the text that will be used in the GUI.

Method Summary
`static boolean` | `check(NumericOperators theNO, int theOperator)`
`static NumericOperators` | `getDefault()` Returns the default NumericOperators.
`static NumericOperators` | `getNumericOperators(java.lang.String theType)` Returns the NumericOperators corresponding to the `String` parameter.
`java.lang.String` | `toString()` Returns a friendly `String to show in the GUI.`
`static NumericOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NumericOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC_NORMAL

    public static final NumericOperators NUMERIC_NORMAL

### NUMERIC_LEQ

    public static final NumericOperators NUMERIC_LEQ

### NUMERIC_GEQ

    public static final NumericOperators NUMERIC_GEQ

### NUMERIC_ALL

    public static final NumericOperators NUMERIC_ALL

### NUMERIC_EQ

    public static final NumericOperators NUMERIC_EQ

Field Detail

### GUI_TEXT

    public final java.lang.String GUI_TEXT

  For each NumericOperators, this is the text that will be used in the GUI. This is also the `String` that will be returned by the toString() method.

Method Detail

### values

    public static NumericOperators[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NumericOperators c : NumericOperators.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NumericOperators valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getNumericOperators

    public static NumericOperators getNumericOperators(java.lang.String theType)

  Returns the NumericOperators corresponding to the `String` parameter. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to a NumericOperators.
  Returns:
    the NumericOperators corresponding to the `String` parameter, or the default NumericOperators `NUMERIC_BINS` if no corresponding NumericOperators can not be found.

### getDefault

    public static NumericOperators getDefault()

  Returns the default NumericOperators.

  Returns:
    the default NumericOperators.

### toString

    public java.lang.String toString()

  Description copied from interface: `EnumInterface`
  Returns a friendly `String to show in the GUI.

  `
  Specified by:
    `toString` in interface `EnumInterface`
  Overrides:
    `toString` in class `java.lang.Enum<NumericOperators>`
  Returns:
    the text `String` presented to the end user.

### check

    public static boolean check(NumericOperators theNO,
                                int theOperator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD